%define realname Module-Pluggable-Fast
%define name perl-%{realname}
%define version 0.16
%define release 1mdk

Summary:	Fast plugins with instantiation
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		%{realname}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-root

%description
This module is similar to Module::Pluggable but instantiates plugins as soon as
they're found, useful for code generators like Class::DBI::Loader.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Module/Pluggable/*
%{_mandir}/*/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jun 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- 0.16

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-1mdk
- First Mandriva release
